<template>
  <v-col cols="12" xs="12" sm="6" md="6" lg="2">
    <v-card>
      <v-card-subtitle align="center" class="text-caption">{{
        title
      }}</v-card-subtitle>
      <v-row align="center" justify="center">
        <v-col cols="6">
          <v-card-text align="center">
            <h1>{{ count }}</h1>
          </v-card-text>
        </v-col>
        <v-col cols="6">
          <v-card-text align="center">
            <v-icon size="40">{{ icon }}</v-icon>
          </v-card-text>
        </v-col>
      </v-row>
      <v-card-actions :style="bottomCardStyle"> </v-card-actions>
    </v-card>
  </v-col>
</template>

<script>
export default {
  props: {
    CardColor: String,
    BottomCardColor: String,
    title: String,
    count: Number,
    icon: String,
  },
  data() {
    return {
      bottomCardStyle: {},
      cardStyle: {},
    };
  },
  created() {
    this.bottomCardStyle = {
      backgroundColor: this.BottomCardColor,
    };
    this.cardStyle = {
      backgroundColor: this.CardColor,
    };
  },
};
</script>

<style>
body {
  font-weight: bold;
}
</style>
